VisualEditor: Cutting text undoes previous typing
Closed, ResolvedPublic

Description

Intention:
Copyedit a page

Steps to Reproduce:

  1. Open a page with pre-existing content.
  2. Type or change some of the text (I was adding a new first line).
  3. Select and cut (⌘ Command+x) some pre-existing text (I cut mine from the end of the third line).
  4. Notice that what you typed on the first line has been undone.
  5. Paste what you cut (in my case, at the end of the first line).
  6. Notice that what you typed on the first line has been redone.

Expected Results:
That text would not magically disappear and reappear.

Reproducible: Always

I experienced this on office.wikipedia.org using Safari 6 on Mac OS 10.7.5. It was confirmed at en.wikipedia.org using Vector/Chrome 30/Windows 7, with the additional discoveries that:

If you type your new first line all in one go (so that 'undo' would remove the whole first line), the first character of the new line remains present.

The undone text only reappears if you paste your cut text onto the line with the now-missing text.


Version: unspecified
Severity: major
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=58724

bzimport set Reference to bz57217.
Whatamidoing-WMF created this task.Via LegacyNov 18 2013, 11:41 PM
bzimport added a comment.Via ConduitAug 21 2014, 9:29 AM

self wrote:

I have a similar issue that makes Safari reopen a closed tab, same with cmd-x.
It doesn't happen immediately and in all cases though.

Jdforrester-WMF added a comment.Via ConduitAug 21 2014, 4:07 PM

(In reply to Mc128k from comment #1)

I have a similar issue that makes Safari reopen a closed tab, same with
cmd-x.
It doesn't happen immediately and in all cases though.

I'm pretty sure it's impossible for VisualEditor to cause a browser to re-open a tab; you probably have a keyboard mapping clash or something similar?

Whatamidoing-WMF added a comment.Via ConduitAug 21 2014, 4:44 PM

Whether it's impossible or not, it happens every time I use Command-X in Safari after closing a tab. It only happens if "Undo closed tab" is listed in Safari's Edit menu as the action for undo/Command-Z. It's bug 58724.

bzimport added a comment.Via ConduitAug 21 2014, 6:09 PM

self wrote:

My computer is brand new, no custom shortcuts. Maybe VE is using a keyboard shortcut hack to make undo possible.

Jdforrester-WMF added a comment.Via ConduitAug 29 2014, 8:48 PM

Fixed at the same time as bug 58724.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.